io.netty.handler.codec.mqtt

## Class MqttUnsubAckMessage

- java.lang.Object
- - io.netty.handler.codec.mqtt.MqttMessage
  - - io.netty.handler.codec.mqtt.MqttUnsubAckMessage

    public final class MqttUnsubAckMessage
    extends MqttMessage

See MQTTV3.1/unsuback

### Field Summary

### Fields inherited from class io.netty.handler.codec.mqtt.MqttMessage

`DISCONNECT, PINGREQ, PINGRESP`

### Constructor Summary

Constructors
Constructor and Description
`MqttUnsubAckMessage(MqttFixedHeader mqttFixedHeader, MqttMessageIdAndPropertiesVariableHeader variableHeader, MqttUnsubAckPayload payload)`
`MqttUnsubAckMessage(MqttFixedHeader mqttFixedHeader, MqttMessageIdVariableHeader variableHeader)`
`MqttUnsubAckMessage(MqttFixedHeader mqttFixedHeader, MqttMessageIdVariableHeader variableHeader, MqttUnsubAckPayload payload)`

### Method Summary

All Methods Instance Methods Concrete Methods
`MqttMessageIdAndPropertiesVariableHeader` `idAndPropertiesVariableHeader()`
`MqttUnsubAckPayload` `payload()`
`MqttMessageIdVariableHeader` `variableHeader()`

### Methods inherited from class io.netty.handler.codec.mqtt.MqttMessage

`decoderResult, fixedHeader, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MqttUnsubAckMessage

    public MqttUnsubAckMessage(MqttFixedHeader mqttFixedHeader,
                               MqttMessageIdAndPropertiesVariableHeader variableHeader,
                               MqttUnsubAckPayload payload)

#### MqttUnsubAckMessage

    public MqttUnsubAckMessage(MqttFixedHeader mqttFixedHeader,
                               MqttMessageIdVariableHeader variableHeader,
                               MqttUnsubAckPayload payload)

#### MqttUnsubAckMessage

    public MqttUnsubAckMessage(MqttFixedHeader mqttFixedHeader,
                               MqttMessageIdVariableHeader variableHeader)

### Method Detail

#### variableHeader

    public MqttMessageIdVariableHeader variableHeader()

Overrides:
  `variableHeader` in class `MqttMessage`

#### idAndPropertiesVariableHeader

    public MqttMessageIdAndPropertiesVariableHeader idAndPropertiesVariableHeader()

#### payload

    public MqttUnsubAckPayload payload()

Overrides:
  `payload` in class `MqttMessage`